OpenJPH: ojph::local::codeblock_fun Struct Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph::local::codeblock_fun Struct Reference

`#include <ojph_codeblock_fun.h>`

## Public Member Functions
void | init (bool reversible)

## Public Attributes
mem_clear_fun | mem_clear
find_max_val_fun32 | find_max_val32
find_max_val_fun64 | find_max_val64
tx_to_cb_fun32 | tx_to_cb32
tx_to_cb_fun64 | tx_to_cb64
tx_from_cb_fun32 | tx_from_cb32
tx_from_cb_fun64 | tx_from_cb64
cb_decoder_fun32 | decode_cb32
cb_decoder_fun64 | decode_cb64
cb_encoder_fun32 | encode_cb32
cb_encoder_fun64 | encode_cb64

## Detailed Description

Definition at line 93 of file ojph_codeblock_fun.h.

## Member Function Documentation

## ◆ init()

void ojph::local::codeblock_fun::init | ( | bool | reversible | ) |

Definition at line 147 of file ojph_codeblock_fun.cpp.

References ojph::local::avx2_find_max_val32(), ojph::local::avx2_find_max_val64(), ojph::local::avx2_irv_tx_from_cb32(), ojph::local::avx2_irv_tx_to_cb32(), ojph::local::avx2_rev_tx_from_cb32(), ojph::local::avx2_rev_tx_from_cb64(), ojph::local::avx2_rev_tx_to_cb32(), ojph::local::avx2_rev_tx_to_cb64(), ojph::local::avx_mem_clear(), decode_cb32, decode_cb64, encode_cb32, encode_cb64, find_max_val32, find_max_val64, ojph::local::gen_find_max_val32(), ojph::local::gen_find_max_val64(), ojph::local::gen_irv_tx_from_cb32(), ojph::local::gen_irv_tx_from_cb64(), ojph::local::gen_irv_tx_to_cb32(), ojph::local::gen_mem_clear(), ojph::local::gen_rev_tx_from_cb32(), ojph::local::gen_rev_tx_from_cb64(), ojph::local::gen_rev_tx_to_cb32(), ojph::local::gen_rev_tx_to_cb64(), ojph::get_cpu_ext_level(), ojph::local::initialize_block_encoder_tables(), ojph::local::initialize_block_encoder_tables_avx2(), ojph::local::initialize_block_encoder_tables_avx512(), mem_clear, ojph::local::ojph_decode_codeblock32(), ojph::local::ojph_decode_codeblock64(), ojph::local::ojph_decode_codeblock_avx2(), ojph::local::ojph_decode_codeblock_ssse3(), ojph::local::ojph_decode_codeblock_vsx(), ojph::local::ojph_decode_codeblock_wasm(), ojph::local::ojph_encode_codeblock32(), ojph::local::ojph_encode_codeblock64(), ojph::local::ojph_encode_codeblock_avx2(), ojph::local::ojph_encode_codeblock_avx512(), ojph_unused, ojph::PPC_CPU_EXT_LEVEL_ARCH_3_00, ojph::PPC_CPU_EXT_LEVEL_ARCH_3_1, ojph::local::sse2_find_max_val32(), ojph::local::sse2_find_max_val64(), ojph::local::sse2_irv_tx_from_cb32(), ojph::local::sse2_irv_tx_to_cb32(), ojph::local::sse2_rev_tx_from_cb32(), ojph::local::sse2_rev_tx_from_cb64(), ojph::local::sse2_rev_tx_to_cb32(), ojph::local::sse2_rev_tx_to_cb64(), ojph::local::sse_mem_clear(), tx_from_cb32, tx_from_cb64, tx_to_cb32, tx_to_cb64, ojph::local::vsx_find_max_val32(), ojph::local::vsx_find_max_val64(), ojph::local::vsx_irv_tx_from_cb32(), ojph::local::vsx_irv_tx_to_cb32(), ojph::local::vsx_mem_clear(), ojph::local::vsx_rev_tx_from_cb32(), ojph::local::vsx_rev_tx_from_cb64(), ojph::local::vsx_rev_tx_to_cb32(), ojph::local::vsx_rev_tx_to_cb64(), ojph::local::wasm_find_max_val32(), ojph::local::wasm_find_max_val64(), ojph::local::wasm_irv_tx_from_cb32(), ojph::local::wasm_irv_tx_to_cb32(), ojph::local::wasm_mem_clear(), ojph::local::wasm_rev_tx_from_cb32(), ojph::local::wasm_rev_tx_from_cb64(), ojph::local::wasm_rev_tx_to_cb32(), ojph::local::wasm_rev_tx_to_cb64(), ojph::X86_CPU_EXT_LEVEL_AVX, ojph::X86_CPU_EXT_LEVEL_AVX2, ojph::X86_CPU_EXT_LEVEL_AVX512, ojph::X86_CPU_EXT_LEVEL_SSE, ojph::X86_CPU_EXT_LEVEL_SSE2, and ojph::X86_CPU_EXT_LEVEL_SSSE3.

## Member Data Documentation

## ◆ decode_cb32

cb_decoder_fun32 ojph::local::codeblock_fun::decode_cb32

Definition at line 113 of file ojph_codeblock_fun.h.

Referenced by init().

## ◆ decode_cb64

cb_decoder_fun64 ojph::local::codeblock_fun::decode_cb64

Definition at line 114 of file ojph_codeblock_fun.h.

Referenced by init().

## ◆ encode_cb32

cb_encoder_fun32 ojph::local::codeblock_fun::encode_cb32

Definition at line 117 of file ojph_codeblock_fun.h.

Referenced by init().

## ◆ encode_cb64

cb_encoder_fun64 ojph::local::codeblock_fun::encode_cb64

Definition at line 118 of file ojph_codeblock_fun.h.

Referenced by init().

## ◆ find_max_val32

find_max_val_fun32 ojph::local::codeblock_fun::find_max_val32

Definition at line 101 of file ojph_codeblock_fun.h.

Referenced by init().

## ◆ find_max_val64

find_max_val_fun64 ojph::local::codeblock_fun::find_max_val64

Definition at line 102 of file ojph_codeblock_fun.h.

Referenced by init().

## ◆ mem_clear

mem_clear_fun ojph::local::codeblock_fun::mem_clear

Definition at line 98 of file ojph_codeblock_fun.h.

Referenced by init().

## ◆ tx_from_cb32

tx_from_cb_fun32 ojph::local::codeblock_fun::tx_from_cb32

Definition at line 109 of file ojph_codeblock_fun.h.

Referenced by init().

## ◆ tx_from_cb64

tx_from_cb_fun64 ojph::local::codeblock_fun::tx_from_cb64

Definition at line 110 of file ojph_codeblock_fun.h.

Referenced by init().

## ◆ tx_to_cb32

tx_to_cb_fun32 ojph::local::codeblock_fun::tx_to_cb32

Definition at line 105 of file ojph_codeblock_fun.h.

Referenced by init().

## ◆ tx_to_cb64

tx_to_cb_fun64 ojph::local::codeblock_fun::tx_to_cb64

Definition at line 106 of file ojph_codeblock_fun.h.

Referenced by init().

The documentation for this struct was generated from the following files:

- /build/openjph/src/OpenJPH/src/core/codestream/ojph_codeblock_fun.h
- /build/openjph/src/OpenJPH/src/core/codestream/ojph_codeblock_fun.cpp